cmake_minimum_required(VERSION 3.0)                                               
set(CMAKE_CXX_STANDARD 17)                                                                           
if(MSVC)                                                                                             
    add_compile_options("/Zc:__cplusplus")                                                           
endif()                                                                                              
add_executable(P2756 P2756.cpp)
add_executable(P4016 P4016.cpp)
add_executable(P4011 P4011.cpp)
add_executable(P2765 P2765.cpp)
add_executable(P4009 P4009.cpp)
add_executable(P3254 P3254.cpp)
add_executable(P2763 P2763.cpp)
add_executable(P2764 P2764.cpp)
add_executable(P4014 P4014.cpp)
add_executable(P2762 P2762.cpp)
add_executable(P4015 P4015.cpp)
add_executable(P2774 P2774.cpp)
add_executable(P2766 P2766.cpp)
add_executable(P3358 P3358.cpp)
add_executable(P3357 P3357.cpp)
add_executable(P4012 P4012.cpp)
add_executable(P3355 P3355.cpp)
add_executable(P1251 P1251.cpp)
add_executable(P3356 P3356.cpp)
add_executable(P4013 P4013.cpp)
add_executable(P2770 P2770.cpp)
add_executable(P2754 P2754.cpp)
add_executable(P2775 P2775.cpp)
add_executable(P2761 P2761.cpp)